This package allow easy and typed speech generation with a local TTS using Coqui and a embedded python.
Compatible with windows, linux, mac and android.

# Usage examples

```csharp
var models = SpeechInference.GetModels(); //all Coqui models compatibles

var voiceGen = new SpeechInference("tts_models/multilingual/multi-dataset/your_tts"); //Coqui model or pth file
var infos = voiceGen.GetInfos(); //languages and speakers for selected model

var audio = voiceGen.Generate("Bonjour", language: "fr-fr", speaker: "/path/to/example.wav");

File.WriteAllBytes("/path/to/output.wav", audio);
```

## Loading packages before use
if not done, the packages will be installed at the class initialization.
```csharp
SpeechInference.Update();
```

[Support Me](https://ko-fi.com/gigaw0lf)